<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];


$idProcedimento               = $_POST['idProcedimento'];
$grupoProcedimento            = $_POST['grupoProcedimento'];
$nomeProcedimento             = mb_strtoupper($_POST['nomeProcedimento']);
$codigoSIGTAP                 = $_POST['codigoSIGTAP'];
$codigoESUS                   = $_POST['codigoESUS'];
$valorVigente                 = str_replace(".","",$_POST['valorVigente']);
$valorVigente                 = str_replace(",",".",$valorVigente);
$sexoPermitido                = $_POST['sexoPermitido'];
$idadeInicialPermitida        = $_POST['idadeInicialPermitida'];
$idadeFinalPermitida					= $_POST['idadeFinalPermitida'];
$procedimentoDisponivelGuiche = $_POST['procedimentoDisponivelGuiche'];
$preparoProcedimento          = mb_strtoupper($_POST['preparoProcedimento']);
$observacaoProcedimento       = $_POST['observacaoProcedimento'];

$formatarSexo = array(
	'I'=>'INDIFERENTE',
	'M'=>'MASCULINO',
	'F'=>'FEMININO',
);

//VERIFICAR SE EXISTE SOLICITAÇÃO PENDENTE DO MESMO PACIENTE E MESMO PROCEDIMENTO
if($idProcedimento==""){
  
  $stmProcedimentoExiste  = $rsConexao->prepare("SELECT id_procedimento FROM reg_tb_procedimento WHERE nome_procedimento='$nomeProcedimento'");
  $stmProcedimentoExiste  -> execute();
  $registrosExistentes    = $stmProcedimentoExiste->rowCount();	

  if($registrosExistentes>0){  
    echo "JaExiste";
    exit;
  }

}

  if($idProcedimento==""){

    $sqlProcedimento  = "INSERT INTO reg_tb_procedimento(
      id_grupo_procedimento,
      nome_procedimento,
      codigo_sus,
      codigo_integracaoesus,
      valor_vigente,
      sexo_permitido,
      faixaetaria_idadeinicial,
      faixaetaria_idadefinal,
      disponivel_guiche,
      preparo_procedimento,
      observacao_procedimento
    )VALUES(
      :serGrupoProcedimento,
      :setNomeProcedimento,
      :setCodigoSIGTAP,
      :setCodigoESUS,
      :setValorVigente,
      :setSexoPermitido,
      :setFaixaEtariaIdadeInicial,
      :setFaixaEtariaIdadeFinal,
      :setDisponivelGuiche,
      :setPreparoProcedimento,
      :setObservacaoProcedimento
    )";

  }else{
    $sqlProcedimento  = "UPDATE reg_tb_procedimento 
    SET id_grupo_procedimento=:serGrupoProcedimento, 
    nome_procedimento=:setNomeProcedimento,
    codigo_sus=:setCodigoSIGTAP,
    codigo_integracaoesus=:setCodigoESUS,
    valor_vigente=:setValorVigente,
    sexo_permitido=:setSexoPermitido,
    faixaetaria_idadeinicial=:setFaixaEtariaIdadeInicial,
    faixaetaria_idadefinal=:setFaixaEtariaIdadeFinal,
    disponivel_guiche=:setDisponivelGuiche,
    preparo_procedimento=:setPreparoProcedimento,
    observacao_procedimento=:setObservacaoProcedimento
    WHERE id_procedimento='$idProcedimento'";

  }

  $stmAddProcedimento  = $rsConexao->prepare($sqlProcedimento);
  $stmAddProcedimento  -> bindParam(":serGrupoProcedimento",$grupoProcedimento,PDO::PARAM_STR);
  $stmAddProcedimento  -> bindParam(":setNomeProcedimento",$nomeProcedimento,PDO::PARAM_STR);
  $stmAddProcedimento  -> bindParam(":setCodigoSIGTAP",$codigoSIGTAP,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setCodigoESUS",$codigoESUS,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setValorVigente",$valorVigente,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setSexoPermitido",$sexoPermitido,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setFaixaEtariaIdadeInicial",$idadeInicialPermitida,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setFaixaEtariaIdadeFinal",$idadeFinalPermitida,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setDisponivelGuiche",$procedimentoDisponivelGuiche,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setPreparoProcedimento",$preparoProcedimento,PDO::PARAM_STR);  
  $stmAddProcedimento  -> bindParam(":setObservacaoProcedimento",$observacaoProcedimento,PDO::PARAM_STR);  
  $stmAddProcedimento  -> execute();

  //******* carregar lista atualizada *******/  
  $sqlProcedimento = "SELECT reg_tb_procedimento.*, 
  reg_tb_procedimento_grupo.nome_grupo_procedimento,
  tb_procedimento.nome_procedimento AS nomeProcedimentoSIGTAP,
  tb_procedimento.valor_servico_ambulatorial
  FROM reg_tb_procedimento 
  INNER JOIN reg_tb_procedimento_grupo ON (reg_tb_procedimento.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
  INNER JOIN tb_procedimento ON (reg_tb_procedimento.codigo_sus = tb_procedimento.codigo_procedimento)
  WHERE reg_tb_procedimento.id_grupo_procedimento='$grupoProcedimento' ORDER BY nome_procedimento;";
  $stmProcedimento    = $rsConexao->prepare($sqlProcedimento);
  $stmProcedimento->execute();
  $rsProcedimento     = $stmProcedimento->fetchAll(PDO::FETCH_ASSOC);
  $totalProcedimentos = $stmProcedimento->rowCount();

  if ($totalProcedimentos > 0) {

    foreach ($rsProcedimento as $fieldProcedimento) {
      $idProcedimento           = $fieldProcedimento['id_procedimento'];        
      $nomeProcedimentoSIGTAP   = $fieldProcedimento['nomeProcedimentoSIGTAP'];
      $codigoSIGTAP             = $fieldProcedimento['codigo_sus'];
      $codigoESUS               = $fieldProcedimento['codigo_integracaoesus'];
      $valorSIGTAP              = number_format($fieldProcedimento['valor_servico_ambulatorial'],2,',','.');
      $valorVigente             = number_format($fieldProcedimento['valor_vigente'],2,',','.');
      $nomeProcedimento         = mb_strtoupper($fieldProcedimento['nome_procedimento']);
      $sexoPermitidoExibir      = $formatarSexo[$fieldProcedimento['sexo_permitido']];
      $sexoPermitido            = $fieldProcedimento['sexo_permitido'];
      $faixaEtariaIdadeInicial  = $fieldProcedimento['faixaetaria_idadeinicial'];
      $faixaEtariaIdadeFinal    = $fieldProcedimento['faixaetaria_idadefinal'];
      $faixaEtariaExibir        = "$faixaEtariaIdadeInicial - $faixaEtariaIdadeFinal";
      $idGrupo                  = $fieldProcedimento['id_grupo_procedimento'];
      $nomeGrupo                = mb_strtoupper($fieldProcedimento['nome_grupo_procedimento']);
      $disponivelGuiche         = $fieldProcedimento['disponivel_guiche'];
      $disponivelGuicheExibir   = $fieldProcedimento['disponivel_guiche'] == "S" ? "SIM" : "NÃO";

      $linkEditarProcedimento   = '"editarProcedimento(' . "'$idProcedimento#$nomeProcedimentoSIGTAP#$codigoSIGTAP#$codigoESUS#$valorSIGTAP#$valorVigente#$nomeProcedimento#$sexoPermitido#$faixaEtariaIdadeInicial#$faixaEtariaIdadeFinal#$disponivelGuiche')" . '"';
      $linkExcluirProcedimento  = '"excluirProcedimento(' . "'$idProcedimento')" . '"';
      //<i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de procedimento.'  onclick=$linkExcluirProcedimento></i>&nbsp;
      echo "<tr>
        <td style='text-align:center'>
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de procedimento.'  onclick=$linkEditarProcedimento></i>&nbsp;          
        </td>
        <td>$nomeProcedimento</td>
        <td style='text-align:center'>$codigoSIGTAP</td>
        <td style='text-align:center'>$codigoESUS</td>
        <td style='text-align:center'>$sexoPermitidoExibir</td>
        <td style='text-align:center'>$faixaEtariaExibir</td>
        <td style='text-align:right'>$valorVigente</td>        
        <td style='text-align:center'>$disponivelGuicheExibir</td>
      </tr>";
    }
  }
//**************************************************** */
?>